import SearchResults, { NHentaiSort, SearchHentai, NHLanguage } from './search_results';
export { SearchResults, NHentaiSort, SearchHentai, NHLanguage };
export declare type Tag = {
    name: string;
    amount: number;
    amountString: string;
};
export declare type Hentai = {
    title: string;
    cleanTitle: string;
    id: number;
    url: string;
    cover: string;
    images: string[];
    thumbnails: string[];
    tags: {
        tags: Tag[];
        parodies: Tag[];
        characters: Tag[];
        artists: Tag[];
        groups: Tag[];
        languages: Tag[];
        categories: Tag[];
    };
    updated: number;
};
export declare class NHentai {
    static readonly nhentaiRegex: RegExp;
    /**
     * @throws if number is negative
     * @throws if url is falsey or does not match NHentai.nhentaiRegex
     */
    hentai(url: number | string): Promise<Hentai>;
    private tags;
    private toNumber;
    /**
     * Get a random hentai from nhentai.net
     *
     * @param english true if random hentai should be english
     * @returns a random hentai
     */
    random(english: boolean): Promise<Hentai>;
    search(query: string, sort?: NHentaiSort): Promise<SearchResults>;
}
//# sourceMappingURL=index.d.ts.map