import { Hentai, NHentai } from '.';
export declare type SearchHentai = {
    title: string;
    cleanTitle: string;
    id: number;
    url: string;
    cover: string;
    language: NHLanguage;
    fetch: () => Promise<Hentai>;
};
export declare enum NHentaiSort {
    recent = "recent",
    today = "popular-today",
    week = "popular-week",
    all_time = "popular"
}
export declare type NHLanguage = 'japanese' | 'english' | 'chinese';
export declare class SearchResults {
    readonly search: string;
    readonly sort: NHentaiSort;
    readonly url: string;
    readonly api: NHentai;
    hentai: SearchHentai[];
    total: number;
    pages: number;
    page: number;
    constructor(api: NHentai, query: string, sort?: NHentaiSort);
    lookup(): Promise<this>;
    private getPage;
    private collectHentai;
    next(): Promise<this>;
    goto(page: number): Promise<this>;
    previous(): Promise<this>;
}
export default SearchResults;
//# sourceMappingURL=search_results.d.ts.map